List Notifications
curl --request POST \
--url https://api.mixpeek.com/v1/notifications/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"read": true,
"user_id": "<string>"
}
'import requests
url = "https://api.mixpeek.com/v1/notifications/list"
payload = {
"read": True,
"user_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({read: true, user_id: '<string>'})
};
fetch('https://api.mixpeek.com/v1/notifications/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"title": "<string>",
"content": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"metadata": {},
"delivery_status": {},
"read": false,
"read_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {},
"total": 123
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Notifications
List Notifications
List all notifications for the user’s organization.
POST
/
v1
/
notifications
/
list
List Notifications
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
1 <= x <= 1000Required range:
0 <= x <= 10000Required range:
x >= 1Body
application/json
Request model for listing notifications.
Filter by notification type
Available options:
pipeline_success, pipeline_failure, feature_extraction_success, feature_extraction_failure, system_alert, billing_alert, quota_alert, audit_alert, maintenance_alert, custom, onboarding_nudge, engagement_nudge, feature_tip Filter by priority
Available options:
low, medium, high, critical Filter by read status
Filter by user ID
Was this page helpful?
⌘I

